#include<bits/stdc++.h>
#define int long long
using namespace std;

void solve() {
	int n,l;cin>>n>>l;
	int j=-1;
	for(int i=0;i<n;i++){
		int x;cin>>x;
		if(x<=l){
			j=i+1;
			break;
		}
	}
	cout<<j<<'\n';
}
int32_t main() {
	ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
	int32_t T=1;//cin>>T;
	while(T--) {
		solve();
	}
	return 0;
}